﻿namespace NinjectDemo
{
    public class ShoppingCart
    {
        private IValueCalculator calculator;

        public ShoppingCart(IValueCalculator calcParam)
        {
            calculator = calcParam;
        }

        public decimal CalculateStockValue()
        {
            // define the set of products to sum
            Product[] products =
            {
                new Product() { Name = "Kayak", Price = 275M },
                new Product() { Name = "Lifejacket", Price = 48.95M },
                new Product() { Name = "Soccer ball", Price = 19.50M },
                new Product() { Name = "Stadium", Price = 79500M }
            };
            
            // calculate the total value of the products
            decimal totalValue = calculator.ValueProducts(products);
            
            // return the result
            return totalValue;
        }
    }
}